---
# Install obs (https://github.com/obsproject/obs-studio/wiki/install-instructions)

- name: Update apt cache
  apt:
    update_cache: True
    lock_timeout: "{{ APT_LOCK_TIMEOUT }}"
  changed_when: False

- name: Install obs dependencies
  apt:
    package: "{{item}}"
    state: present
    lock_timeout: "{{ APT_LOCK_TIMEOUT }}"

  loop:
    - ffmpeg
    - v4l2loopback-dkms

# Could be needed on ubuntu, seems not needed on Kali
- name: Add obs apt repo
  apt_repository:
    repo: ppa:obsproject/obs-studio
  when: not is_kali
  # https://obsproject.com/forum/threads/ppa-no-noble-numbat-packages.175181/
  ignore_errors: true

- name: Install obs-studio
  apt:
    package: "{{item}}"
    state: present
    lock_timeout: "{{ APT_LOCK_TIMEOUT }}"

  loop:
    - obs-studio
